org.scalatest

# mock

#### package mock

Visibility

1. Public
2. All

### Type Members

1. #### trait EasyMockSugar extends AnyRef

   Trait that provides some basic syntax sugar for EasyMock.

2. #### class JMockCycle extends AnyRef

   Class that wraps and manages the lifecycle of a single `org.jmock.Mockery` context object, provides some basic syntax sugar for using JMock in Scala.

3. #### trait JMockCycleFixture extends AnyRef

   Trait that will pass a new `JMockCycle` into any test that needs one.

4. #### class JMockExpectations extends Expectations

   Subclass of `org.jmock.Expectations` that provides `withArg` alternatives to the `with` methods defined in its superclass.

5. #### trait MockitoSugar extends AnyRef

   Trait that provides some basic syntax sugar for Mockito.